@echo off

echo ###########################################################
echo ###########################################################
echo ...........................................................
echo ........................Onyx v3.1.4
echo ...........................................................
echo ###########################################################
echo ###########################################################


:STATIC_SETUP
rem set JAVA_OPTS=-Xms256m -Xmx512m -Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=n
set JAVA_OPTS=-Xms256m -Xmx512m 

:CLASSPATH_SETUP
set CLASSPATH=.;..;../lib/*


:AUTOMATIC_SETUP
::Find the current (most recent) Java version
start /w regedit /e reg1.txt "HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Runtime Environment"
type reg1.txt | find "CurrentVersion" > reg2.txt
if errorlevel 1 goto ERROR
for /f "tokens=2 delims==" %%x in (reg2.txt) do set JAVA_VERSION=%%~x
if errorlevel 1 goto ERROR
del reg1.txt
del reg2.txt
 
::Get the home directory of the most recent Java
start /w regedit /e reg1.txt "HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Runtime Environment\%JavaTemp%"
type reg1.txt | find "JavaHome" > reg2.txt
if errorlevel 1 goto ERROR
for /f "tokens=2 delims==" %%x in (reg2.txt) do set JAVA_HOME=%%~x
if errorlevel 1 goto ERROR
del reg1.txt
del reg2.txt

::Get the onyx home directory
set TEMP=%CD%
cd..
set ONYX_HOME=%CD%
cd %TEMP%

::Set the Onyx Version
set ONYX_VERSION=3.1.4




:RUN_ONYX
if "%1"== "-noconsole" goto JAVAW_RUN
goto JAVA_RUN

:JAVA_RUN
"%JAVA_HOME%/bin/java" %JAVA_OPTS% -classpath %CLASSPATH% com.onyx.main.Onyx
goto EXIT

:JAVAW_RUN
set PATH="%JAVA_HOME%\bin";%PATH%
start javaw %JAVA_OPTS% -classpath %CLASSPATH% com.onyx.main.Onyx
goto EXIT


:ERROR
echo An error when starting up Onyx.


:EXIT
