#!/bin/sh

progname=`basename $0`
progdir=`dirname $0`
pidFile="Onyx.pid"

echo -e "###########################################################"
echo -e "###########################################################"
echo -e "..........................................................."
echo -e "........................Onyx v3.1.4"
echo -e "..........................................................."
echo -e "###########################################################"
echo -e "###########################################################"

# Setting up the onyx version
ONYX_VERSION=3.1.4
export ONYX_VERSION

# Setting up the onyx home
cd ..
ONYX_HOME=`pwd`
export ONYX_HOME
cd bin

# Looking for java home
JAVA_HOME=`which java`
export JAVA_HOME

# Looking for java home
JAVA_OPTS='-Xms256m -Xmx512m'
#for debug only!
#JAVA_OPTS='-Xms256m -Xmx512m -Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=n'
export JAVA_OPTS

#Defining the classpath
CLASSPATH=.:..
for i in `find ../lib -name *.jar`; do
        CLASSPATH=$CLASSPATH:$i
done
export CLASSPATH


#Run Onyx
if [ -f "$pidFile" ]; then
	echo -e "The application is already running or did not stop propertly"
	read -p "Do you want to continue ? (yes/no)" rep

	if [[ "$rep" == "yes" ]]; then
		kill -9 `cat $pidFile`
		rm $pidFile
		echo -e "###########################################################"
		echo -e "               Onyx v3.1.4 started as a daemon"
		echo -e "             Use stopOnyxDaemon.sh to stop Onyx 3.1.4"
		echo -e "###########################################################"
		java $JAVA_OPTS -classpath $CLASSPATH com.onyx.main.Onyx &
		echo $! > $pidFile

	else
		exit
	fi

else
	java $JAVA_OPTS -classpath $CLASSPATH com.onyx.main.Onyx &
	echo $! > $pidFile
fi
